#pragma once

#include "util/ByteUtil.h"

#include <cstdint>
#include <array>

namespace Feather
{
    struct MinecraftUUID
    {
        std::array<uint64_t, 2> data;
    };

    inline MinecraftUUID ReverseBytes(MinecraftUUID uuid)
    {
        return MinecraftUUID
        {
            .data = { ReverseBytes(uuid.data[0]), ReverseBytes(uuid.data[1]) }
        };
    }
}